artdaq - Idea #11878

Do-nothing filter which spins for a while then passes fragments on
03/03/2016 01:41 PM - Eric Flumerfelt

Status: Closed Start date: 03/03/2016
Priority: Normal Due date:

Assignee: Eric Flumerfelt % Done: 100%
Category: Estimated time: 0.00 hour
Target version: vi_12_16

Experiment: -

Description

For system integration testing, it might be nice to have a filter class which simply delays for a bit before passing events. We could
also set it up with parameters like min, max, sigma for randomizing (or specifying exactly) the delay time.

History

#1 - 04/01/2016 10:21 AM - Eric Flumerfelt
- Status changed from New to Resolved
- Assignee set to Eric Flumerfelt

- % Done changed from 0 to 100

RandomDelayFilter_module is written and on branch feature/DelayFilter_ISS#11878. Is ready to be merged into main ARTDAQ codebase.

#2 - 05/04/2016 04:04 PM - Eric Flumerfelt
- Status changed from Resolved to Closed

- Target version set tovl_12_16
